#ifndef GAME_UI_HPP
#define GAME_UI_HPP

#include "godot_cpp/classes/canvas_layer.hpp"
#include "godot_cpp/classes/label.hpp"
namespace godot {
class GameUI : public CanvasLayer {
    GDCLASS(GameUI, CanvasLayer);
    static void _bind_methods();
public:
    virtual void _enter_tree() override;
    void append_debug_info(String string);
protected:
    void on_key_found(int total_found);
    void on_all_keys_found();
private:
    Label *debug_info_label{nullptr};
};
}

#endif // !GAME_UI_HPP
